Page MenuHomePhabricator

Investigation: What can we do for WikiProjects?
Closed, ResolvedPublic

Description

WikiProjects X has done some great work on making WikiProject portal pages more attractive and easier to use:

https://en.wikipedia.org/wiki/Wikipedia:WikiProject_Cannabis

The members directory and the task lists are especially interesting. However, these are generated with templates and updated manually, and it would be a chore to keep them updated long-term. Are there pieces that we could create as software that would be helpful to existing WikiProjects?

Kaldari suggests that in order to do this properly, we should look into moving WikiProjects into their own namespace -- WikiProject:Music rather than Wikipedia:WikiProject Music.

James Hare created a spec document for WikiProject X, which may be helpful:
https://en.wikipedia.org/wiki/Wikipedia:WikiProject_X/Requirements_documents

Event Timeline

DannyH created this task.Oct 20 2015, 10:30 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH added a project: Community-Tech.
DannyH moved this task to Epic backlog on the Community-Tech board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 10:30 PM
kaldari set Security to None.Oct 20 2015, 11:05 PM
kaldari added a subscriber: Harej.
Isarra added a subscriber: Isarra.Oct 20 2015, 11:07 PM
Harej added a subscriber: XZise.Oct 20 2015, 11:33 PM

That BRD may be out of date. I will want to take another look at it.

WikiProject X would benefit significantly from some kind of extension or changes to the MediaWiki code. Right now our work is largely based on Lua/templates for the front end (with in-line CSS, *ugh*) and Python for the back-end report generation. Roping in our engineer @XZise, who may have a more intelligent opinion on this, but one possible approach would involve the creation of a novel content model and the use of external report generation scripts (consistent with service oriented architecture, allowing people to generate reports as needed). This content model would be deployed on an opt-in basis, would implement the WikiProject X UI, and allow for the arbitrary aggregation of modules—modules including worklists (supplied by a service, including our existing scripts) and generic wikitext pages.

What I need to know: what can community tech commit to? I am currently working on our renewal request, including plans for expansion to Wikidata and Commons, and knowing what can be committed to would help us prioritize work on our end. I imagine we will discuss this more in January (T113973)?

including plans for expansion to Wikidata and Commons

Otherwise Community-Tech may better be called #Enwiki-Tech...

Harej added a comment.Oct 26 2015, 8:50 AM

@DannyH, would it be okay if I closed this task as a duplicate of T113973, or is there some substantive difference between the two tasks? Both seem to be about providing better technical support for WikiProjects, and both have the Community-Tech tag to boot.

DannyH closed this task as Resolved.Nov 5 2015, 10:57 PM
DannyH claimed this task.
DannyH added a subscriber: kaldari.

Results of this investigation:
@kaldari and I worked with @Harej to find potential projects.

Projects that Community Tech can start working on now:

#1. T117142: Create an extension for storing WikiProject article assessment metadata in a database table via a parser function
#2. T117122: Investigation: Related changes by category, including main and talk namespaces (for WikiProjects)
#3. T117124: Investigation: Discussion module for WikiProjects that lists the most recent new topics on talk pages in that category

Ideas that need more discussion:

Above, James described an idea for a new namespace and content model.
There are already some wikis that have a WikiProject namespace: T29651, T26852, T10077, although it's just a regular WikiText namespace. It is usually set up as namespace 102. If we created a new namespace in MediaWiki, it would probably be created as namespace 16. We would have to figure out how to resolve the name conflicts for wikis that already have such a namespace.
This needs more discussion at the Dev Conference in January:
T113973: [Dev Conference] Facilitating WikiProjects: reports, bots, gadgets, templates, wizards, etc.

DannyH moved this task from Epic backlog to Archive on the Community-Tech board.Nov 5 2015, 10:57 PM
Ricordisamoa added a comment.EditedNov 8 2015, 4:18 AM

There are already some wikis that have a WikiProject namespace

Was dismissed on Wikidata, though some time has passed since.